import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import {
  ScheduleModule,
  DayService,
  WeekService,
  MonthService,
  AgendaService,
  MonthAgendaService,
  DragAndDropService,
  ResizeService
} from '@syncfusion/ej2-angular-schedule';
import { RouterModule, Routes } from '@angular/router';
import { CalendarComponent } from './calendar.component';
import { BpgatewaySharedModule } from 'app/shared/shared.module';
import { DatePickerModule, DateTimePickerModule } from '@syncfusion/ej2-angular-calendars';
import { ColorPickerModule } from '@syncfusion/ej2-angular-inputs';
import {TruncateModule} from '@yellowspot/ng-truncate';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { UiSwitchModule } from 'ngx-ui-switch';

export const TutorialRoutes: Routes = [
  {
    path: '',
    component: CalendarComponent,
    data: {
      breadcrumb: 'Kalender',
      icon: 'icofont icofont-video-clapper bg-c-yellow',
      text: 'Der Kalender'
    }
  }
];

@NgModule({
  imports: [
    CommonModule,
    NgbModule,
    RouterModule.forChild(TutorialRoutes),
    BpgatewaySharedModule,
    ScheduleModule,
    DateTimePickerModule,
    DatePickerModule,
    TruncateModule,
    UiSwitchModule,
    ColorPickerModule 
  ],
  providers: [DayService, WeekService, MonthAgendaService, MonthService, AgendaService, DragAndDropService, ResizeService],

  declarations: [CalendarComponent],
  schemas: [NO_ERRORS_SCHEMA]
})
export class CalendarModule {}
